@media only screen and (max-width: 1680px) {}

@media only screen and (max-width : 1440px) {
    .banner-title h1, .banner-title h2 {
        font-size: 4rem;
    }

    .animation-btn button {
        width: 25vw;
    }

    .section-title h1, .section-title h2 {
        font-size: 3rem;
    }

    html {
        font-size: 15px;
    }

    .contact_form_grid>div:nth-child(1) {
        padding-right: 10rem;
    }

    /*  */

}

@media only screen and (max-width: 1366px) {}

@media only screen and (max-width : 1280px) {
    html {
        font-size: 14px
    }

    .banner-title h1, .banner-title h2 {
        font-size: 3.5rem;
    }

    .section-subtitle h3 {
        font-size: 2rem;
    }

    .home-sect-two-flex>div:nth-child(1) {
        flex-basis: calc(100% - 35% - 2.5rem);
    }

    .productdeatail_content {
        width: 100%;
        padding: 5.5rem;
        gap: 7rem;
    }

    /*  */
    .section_content {
        width: 62%;
        margin-left: auto;
    }

}

@media only screen and (max-width: 1152px) {
    .header_logolink_flex {
        gap: 4rem;
    }

}

@media only screen and (max-width : 1024px) {
    html {
        font-size: 14px
    }



    .header_navigation_link li {
        padding: 2.5rem 0;
    }

    .header_navigation_link ul {
        gap: 1.5rem;
    }

    .header_flex {
        width: 95%;
    }

    .header-btn button {
        padding: 1rem 1.5rem;
    }

    .section-title h1, .section-title h2 {
        font-size: 2.5rem;
    }

    .sect3-content {
        width: 100%;
    }

    .product_wrapper .productdetail_grid {
        grid-template-columns: calc(100% - 50% - 2.5rem) calc(100% - 50% - 2.5rem);
    }

    .contact-sect-flex {
        width: 70%;
    }

    .footer-content-2>div:nth-child(1) {
        width: 65%;
    }

}

@media only screen and (max-width : 991px) {

    .contactInquiryWrapper {
        width: 100%
    }

    .mobile_menu_wrapper {
        width: 100%;
        height: 100%;
        position: fixed;
        display: grid;
        place-items: center;
        top: 0;
        left: 0;
        z-index: 99;
        background-color: var(--black-color);
        transform: translateY(-100%);
        transition: all 0.6s ease;
    }

    .mobile_menu_wrapper.active_menu {
        transform: translateY(0%);
        transition: all 0.6s ease;
    }

    .mobile_menu_wrapper>div {
        width: 100%;
    }

    .mobile-header-links ul {
        display: flex;
        flex-direction: column;
        gap: 0;
    }

    .mobile-header-links li {
        overflow: hidden;
        border-top: 1px solid #1e1e1e;
        padding: 1rem;
    }

    .mobile-header-links li:last-child {
        border-bottom: 1px solid #1e1e1e;

    }

    .header-btn {
        width: fit-content;
        margin: 0 auto;
    }

    .header-btn.footer-btn {
        width: fit-content;
        margin: 0;
    }

    .mobile-header-links li a {
        font-size: var(--section-subtitle);
        color: var(--white-color);
        display: block;
    }

    .navigation-text {
        padding: 0 0 0 1rem;
    }

    .header-btn .header-btn-arrow {
        transform: scale(1);
    }

    .header-btn button p {
        transform: translateX(0rem);
        font-size: 1.5rem;
    }

    .header-btn-arrow .right-arrow {
        transform: translateX(0%);
        width: 1.5rem;
    }

    .mobile_main_menu {
        position: fixed;
        top: 50%;
        left: 50%;
        width: 100%;
        z-index: -1;
        transform: translate(-50%, -50%);
        opacity: 0;
        pointer-events: none;
        transition: all 0.1s ease 0.1s;
    }

    .mobile_main_menu.active_menu {
        z-index: 999;
        opacity: 1;
        pointer-events: all;
        transition: all 0.6s ease 0.3s;
    }

    .contactInquiryWrapper {
        top: unset;
        transform: translate(-50%, 0%) scale(0);
        max-height: 80vh;
        bottom: -100%;
    }

    .contactInquiryWrapper.active {
        bottom: 0;
        transform: translate(-50%, 0%) scale(1);
    }

    .animation-btn button {
        width: 40vw;
    }

    .home-sect-two-flex {
        flex-direction: column;
    }

    .main-container {
        width: 95%;
        margin: 0 auto;
    }

    .advantage_flex h2 {
        padding-bottom: 0rem;
    }

    .advantage_flex h2::after {
        height: 0.25rem;
        bottom: -0.25rem;
    }

    .medium-gap-size {
        gap: 2.5rem;
    }

    .section-title h1, .section-title h2 {
        font-size: 2.25rem;
    }

    .sect3-content {
        padding-top: 2rem;
    }

    .product_wrapper .productdetail_grid {
        grid-template-columns: 100%;
    }

    .product_wrapper {
        top: unset;
        left: unset;
        bottom: -100%;
        width: 100%;
        transform: translate(0%, 0%) scale(0);
    }

    .product_wrapper.active {
        bottom: 0;
        transform: translate(0%, 0%) scale(1);
    }

    .productdeatail_content {
        width: 100%;
        padding: 0rem;
        gap: 4rem;
    }

    .product_wrapper .product_background {
        height: 50vh;
        position: relative;
        top: unset;
    }

    .swiper-pagination.partner-swiper-pagination {
        width: 75%;
    }

    .sect4-flex {
        align-items: flex-start;
        flex-direction: column;
    }

    .contact-sect-flex {
        width: 100%;
    }

    .footer_navigation_links {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .footer-content-2>div:nth-child(1) {
        width: 85%;
    }

    .advantages-img {
        width: 100%;
    }

    .seamless-flex {
        grid-template-columns: repeat(1, 1fr);
    }

    .meet-growing-sec {
        width: 100%;
        padding-bottom: 5rem;
    }



    .explore-flex {
        flex-direction: column-reverse;
    }

    .explore-charging-text {
        width: 100%;
    }

    .seamless-solution-gap {
        gap: 5rem
    }

    .adInvestment-flex>div:nth-child(1),
    .adInvestment-flex>div:nth-child(2) {
        flex-basis: 100%;
        width: 100%;
    }

    .worry-text {
        width: 100%;
    }

    .adInvestment-flex {
        flex-direction: column;
        gap: 2rem;
        padding-bottom: 5rem;
    }



    .advantages-flex {
        flex-direction: column;
    }

    .advantages-img {
        width: 70%;
    }

    .advantages-flex>div:nth-child(1),
    .advantages-flex>div:nth-child(2) {
        flex-basis: 100%;
        width: 100%;
    }

    .exploring-flex {
        flex-direction: column-reverse;
        gap: 3rem;
    }

    .exploring-flex>div:nth-child(1), .exploring-flex>div:nth-child(2) {
        flex-basis: 100%;
        width: 100%;
    }

    .exploring-img {
        width: 100%;
        margin-left: 0;
    }

    .animation-btn button::after {
        width: 3rem;
        height: 3rem;
        right: 1.5rem;
    }

    .animation-btn button {
        padding: 1.5rem;
    }

    .side-btn-arrow .right-arrow-2 {
        transform: translateX(-50%);
    }

    .contact_form_grid>div:nth-child(1) {
        padding-right: 0rem;
    }

    .contact_section_one {
        height: 40vh;
    }

    .contact_form_grid {

        grid-template-columns: 100%;
        gap: 5rem;
    }

    .about-sect5-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .about-sect6-companies-grid {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        margin-top: 4rem;
        border: 1px solid #dfe6ea;
        ;
    }

    .about-sect5-title {
        width: 80%;
    }

    .home-sect-three-grid {
        gap: 3rem;
    }

    .section-padding {
        padding: 4rem 0;
    }

    .common-secttext-grid {
        grid-template-columns: 100%;
    }

    /*  */
    .section_content {
        width: 100%;
    }
}

@media only screen and (max-width : 767px) {
    html {
        font-size: 12px
    }

    .charging-text {
        bottom: 40%;
    }

    .header-btn button {
        padding: 1.5rem;
        width: 100%;
        justify-content: space-between;
    }

    .header-btn {
        width: 80%;
        margin: 0 auto;
    }

    /* .header-btn {
        position: absolute;
        bottom: 25%;
        left: 50%;
        transform: translateX(-50%);
    } */


    .banner-video {
        width: 100%;
        /* height: 84vh; */
    }

    /* .bg-img-container {
        /* height: 85vh; 

    } */

    .header-btn-arrow {
        width: 3rem;
        height: 3rem;
    }

    .contactInquiryWrapper {
        top: unset;
        transform: translate(-50%, 0%) scale(0);
        max-height: 75vh;
        bottom: -100%;
        z-index: 9999999999;
    }

    .link-fonts a,
    .link-fonts p,
    .link-fonts span {
        font-size: 1.25rem;
    }

    .banner-title h1, .banner-title h2 {
        font-size: 3rem;
    }

    .section-subtitle h3 {
        font-size: 1.5rem;
    }

    .bannerText {
        top: 25%;
    }

    .banner-tagline-text {
        width: 95%;
        flex-direction: column;
        align-items: start;
        gap: 1rem;
        bottom: 2rem;
    }

    .explore-text {
        width: 100%;
    }

    .one888-home-section-one {
        height: 95vh;
    }

    .home_banner_video, .home_banner_video video {
        object-fit: cover;
        width: 100%;
        height: 95vh;
    }

    label.radio:after {
        top: 7.5px;
    }

    .home-sect-two-flex {
        gap: 3rem;
    }

    .section-padding {
        padding: 5rem 0;
    }

    .sect3-content {
        padding-top: 2rem;
    }

    .home-sect-three-grid {
        grid-template-columns: repeat(1, 1fr);
        gap: 3rem;

    }

    .sect3-content {
        padding-top: 0rem;
    }

    .sect3-content>div:nth-child(1) {
        display: flex;
        align-items: center;
        gap: 0.5rem;
    }

    .home-sect3-flex {
        gap: 2rem;
    }

    .sect4-parallax-window {
        height: 80vh;
        background-attachment: local;
    }

    .sect4-flex {
        bottom: unset;
        height: 100%;
        padding: 2rem 0;
        flex-direction: column;
    }

    .animation-btn {
        width: 100%;
    }

    .animation-btn button {
        width: 60%;
    }

    .product_img {
        width: 50%;
        margin: 0 auto;
    }

    .product_background {
        height: 100%;
    }

    .product_card .product_arrow {
        transform: scale(1);
        bottom: 2rem;
        top: unset;
    }

    .product_card .product_arrow .right-arrow {
        transform: translateX(0%);
    }

    .product_wrapper .product_img {
        width: 70%;
    }

    .product_spec_flex {
        padding: 2rem 0;
        flex-direction: column;
        gap: 2rem;
    }

    .company_partner_logo {
        width: 40%;
        padding: 1rem;
    }

    .common-secttext-grid {
        grid-template-columns: 100%;
    }

    .swiper-pagination.partner-swiper-pagination {
        width: 100%;
        margin-bottom: 1rem;
    }

    .bg-gradient-container {
        padding: 1.5rem;
    }

    .main-container-fluid {
        padding: 0;
        width: 95%;
        margin: 0 auto;
    }

    .bg-gradient-container {
        min-height: 60vh;
    }

    .footer-common-grid {
        grid-template-columns: 100%;
        padding: 4rem 0;
        gap: 4rem;
    }

    .footer-content-2>div:nth-child(1) {
        width: 100%;
    }

    .footer_navigation_links>div {
        gap: 2rem;
    }

    .footer-poweredby-flex ul,
    .footer-copyright-flex {
        flex-direction: column-reverse;
        gap: 1.5rem;
    }

    .footer-copyright-flex {
        padding: 2rem 0;
    }

    .solution-banner-tagline-text {
        flex-direction: column;
        align-items: flex-start;
        gap: 2rem;
    }

    .one888-solution-section-one.section-padding {
        padding: 12rem 0 6rem;
    }

    .advantage-numb-flex {
        flex-direction: column;
        gap: 2rem;
    }

    .advantage-numb-flex>div:nth-child(1), .advantage-numb-flex>div:nth-child(2) {
        flex-basis: 100%;
        width: 100%;
    }

    .faqAccordian-sec-flex {
        flex-direction: column;
        gap: 2rem;
    }

    .accordion_icon {
        padding: 0.5rem;
    }

    .faqcontent_accordian {
        width: 90%;
    }

    .material-symbols-outlined {
        font-size: 18px;
    }

    .advantages-img {
        width: 100%;
    }

    #one888-solution-section-four.section-padding,
    #one888-solution-section-seven.section-padding {
        padding-top: 0;
    }

    .solution-sec {
        gap: 10rem;
    }

    .contact_section_one {
        height: auto;
        padding-bottom: 5rem;
    }

    .contact_section_one {
        height: 50vh;
        padding-bottom: 5rem;
    }

    .contact_flex {
        gap: 5rem;
        flex-direction: column;
    }

    .contact_flex>div:nth-child(1),
    .contact_flex>div:nth-child(2) {
        flex-basis: 100%;
        width: 100%;
    }

    .about-sect5-grid {
        grid-template-columns: repeat(1, 1fr);
        gap: 2rem;
    }

    .about-sect5-title {
        width: 100%;
    }

    .companies-logo-grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .companies-logo {
        padding: 2.5rem;
        border: 1px solid #dfe6ea;
    }

    .sect6-grid-text-content {
        padding: 0;
        justify-content: end;
    }

    .about-sect6-companies-grid {
        gap: 4rem;
        border: none;
    }

    .sect3-img {
        position: relative;
    }

    .sect5-grid-item {
        display: grid;
        gap: 1.5rem;
    }

    .side-btn-arrow {
        width: 4rem;
        height: 4rem;

    }

    .animation-btn button::after {
        width: 4rem;
        height: 4rem;
    }

    .animation-btn {
        width: 85%;
    }

    .animation-btn button {
        width: 100%;
    }

    .animation-btn .side-btn-arrow .right-arrow-1,
    .animation-btn .side-btn-arrow .right-arrow-2,
    .animation-btn.red-animation-btn .side-btn-arrow .right-arrow-1,
    .animation-btn.red-animation-btn .side-btn-arrow .right-arrow-2,
    .animation-btn.white-animation-btn .side-btn-arrow .right-arrow-1,
    .animation-btn.white-animation-btn .side-btn-arrow .right-arrow-2 {
        width: 1.5rem;
    }

    .section_text {
        width: 100%;
    }

    .section-title.section_content_font h2 {
        font-size: 1.5rem;
    }

    .faqAccordian-flex {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .about-sect-two-flex {
        display: grid;
        grid-template-columns: 100%;
        gap: var(--medium-gap-size);
    }

    .about-sect-two-flex {
        padding: 0;
        text-align: center;
    }

    .parallax-window img {
        aspect-ratio: 1;
        object-fit: cover;
    }

    .header-btn button {
        gap: 1rem;
        padding: 0.75rem;
        border-radius: 5rem;
        height: auto;
        background-color: var(--secondary-color);
    }

    .our-story-flex {
        position: absolute;
        top: unset;
        right: unset;
        transform: unset;
        width: 95%;
        left: 50%;
        transform: translateX(-50%);
        bottom: 2rem;
    }


    .registerinterest {
        padding: 1rem;
    }

    .registerinterestFlex {
        flex-direction: column;
        padding: 0;

    }

    .registerinterestFlex>div {
        width: 100%;
        flex-basis: 100%;

    }

    .animation-btn button::after {
        width: 3rem;
        height: 3rem;
        right: 0.5rem;
    }

    .animation-btn button {
        padding: 0.5rem 0.5rem 0.5rem 1.5rem;
    }


    .flex-row {
        display: flex;
        flex-direction: column;
        align-items: start;
    }

    .about-img {
        background-image: unset;
        background-attachment: local;
        height: auto;
    }

    #one888-solution-section-five {
        background-position: 15%;
    }

    .one888-contact-wrapper .contact_form_grid {
        display: grid;
        grid-template-columns: 100%;
        gap: 5rem;
        justify-content: space-between;
    }

    .footer-poweredby-flex ul, .footer-copyright-flex {
        flex-direction: column;
        gap: 1.5rem;
        align-items: start;
    }

    .footer-common-grid.footer-margin-bottom {
        grid-template-columns: 100%;
        padding: 4rem 0;
        gap: 1rem;
    }

    .our-story-flex{
        padding-top : 2rem;
        position : relative;
        top : unset;
        left : unset;
        bottom : unset;
        transform : unset;

    }

    .our-story-flex p,
    .our-story-flex h3{
        color : var(--primary-color) !important;
    }

    .about-sect-two-flex{
        text-align: left;
    }

    .home-sect-two-flex>div:nth-child(1) {
        
        padding-right: 0;
    }

    .three-col-grid {
        display: grid;
        grid-template-columns: 100%;
        gap: 4rem 1.75rem;
    }

    .leader-flex>div:nth-child(2) {
        flex-basis: 60%;
        padding: 0 1rem 1.5rem;
    }

    .leader-flex>div:nth-child(1) {
        flex-basis: 30%;
        transform: unset;
    }

    .one888-about-leader-section.section-padding {
        padding:  4rem 0;
    }

    .leader-flex {
        width: 100%;
        flex-direction: column;
    }

    .gallery_swiper_wrapper .swiper-slide img,
    .product_img img{
        object-fit: cover;
        aspect-ratio: 1;
    }

    .header_padding {
        padding-top: 7rem;
    }

}


@media only screen and (max-width: 600px) {}

@media only screen and (max-width: 375px) {
    .banner-title h1, .banner-title h2 {
        font-size: 2.75rem;
    }
}

/* Responsive CSS Start */